# $Revision: 1.163 $, $Date: 2010/10/21 20:38:33 $
%define	basever	2.6.36
%define	postver	%{nil}
Summary:	Linux kernel headers for use with C libraries
Summary(pl.UTF-8):	Nagłówki jądra Linuksa do użytku z bibliotekami C
Name:		linux-libc-headers
Version:	%{basever}%{postver}
Release:	1
Epoch:		7
License:	GPL v2
Group:		Development
Source0:	http://www.kernel.org/pub/linux/kernel/v2.6/linux-%{basever}.tar.bz2
# Source0-md5:	61f3739a73afb6914cb007f37fb09b62
%if "%{postver}" != "%{nil}"
Source1:	http://www.kernel.org/pub/linux/kernel/v2.6/patch-%{version}.bz2
# Source1-md5:	738f762746488345b1a8707d00895eef
%endif
# DROP for now? iptables accesses kernel headers/sources directly
#PatchX: %{name}-netfilter.patch
Patch0:		%{name}-esfq.patch
Patch1:		%{name}-wrr.patch
Patch2:		%{name}-fbsplash.patch
Patch3:		%{name}-imq.patch
Patch4:		%{name}-endian.patch
Patch5:		%{name}-pom-set.patch
Patch6:		linux-kernel-headers.SuSE.TIOCGDEV.patch
Patch7:		%{name}-atm-vbr.patch
Patch8:		vserver.patch
AutoReqProv:	no
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.568
Requires(pre):	fileutils
Provides:	alsa-driver-devel
Provides:	glibc-kernel-headers = %{epoch}:%{version}-%{release}
Obsoletes:	alsa-driver-devel
Obsoletes:	glibc-kernel-headers
Obsoletes:	glibc-kernheaders
Conflicts:	lm_sensors-devel < 2.8.2-2
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no objects to extract debug info from
%define		_enable_debug_packages	0

%description
This package includes the C header files that specify the interface
between the Linux kernel and userspace libraries and programs. The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
glibc package.

%description -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C, które definiują interfejs
między jądrem Linuksa a bibliotekami i programami działającymi w
przestrzeni użytkownika. Pliki nagłówkowe definiują struktury i stałe
potrzebne do zbudowania większości standardowych programów, są także
potrzebne do przebudowania pakietu glibc.

%prep
%setup -q -c
cd linux-%{basever}
%if "%{postver}" != "%{nil}"
bzip2 -dc %{SOURCE1} | patch -p1
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p2
%patch7 -p1
%patch8 -p1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C linux-%{basever} headers_install \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
%ifarch ppc ppc64
	ARCH=powerpc
%else
	ARCH=%{_target_base_arch}
%endif

# provided by glibc-headers
rm -rf $RPM_BUILD_ROOT%{_includedir}/scsi

# currently provided by libdrm-devel
rm -rf $RPM_BUILD_ROOT%{_includedir}/drm

# trash
find $RPM_BUILD_ROOT%{_includedir} -type f -name '..install.cmd' -o -name '.install' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
[ ! -L /usr/include/linux ] || rm -f /usr/include/linux
[ ! -L /usr/include/asm ] || rm -f /usr/include/asm
[ ! -L /usr/include/sound ] || rm -f /usr/include/sound

%files
%defattr(644,root,root,755)
%{_includedir}/asm
%{_includedir}/asm-generic
%{_includedir}/linux
%{_includedir}/mtd
%{_includedir}/rdma
%{_includedir}/sound
%{_includedir}/video
%{_includedir}/xen

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linux-libc-headers.spec,v $
Revision 1.163  2010/10/21 20:38:33  qboosh
- updated to 2.6.36
- updated SuSE.TIOCGDEV patch

Revision 1.162  2010/09/08 18:19:28  arekm
- up to 2.6.35.4

Revision 1.161  2010/08/04 07:28:17  qboosh
- updated to 2.6.35
- updated fbsplash patch, removed obsolete align patch
- use updated build macros instead of special ARCH case for arm

Revision 1.160  2010/06/25 09:49:10  tommat
- arm added

Revision 1.159  2010/06/07 20:52:06  arekm
- rel 2; align export for netfilter from git

Revision 1.158  2010/05/17 18:32:03  qboosh
- updated to 2.6.34

Revision 1.157  2010/04/11 18:56:17  zbyniu
- added vserver.patch just with CAP_CONTEXT define; rel 2

Revision 1.156  2010/03/16 06:40:22  arekm
- 2.6.33.1

Revision 1.155  2010/03/07 11:45:55  qboosh
- updated to 2.6.33

Revision 1.154  2010/01/13 17:14:36  qboosh
- updated to 2.6.32.3

Revision 1.153  2009/11/29 00:49:47  sparky
- BR: perl-base

Revision 1.152  2009/09/17 18:55:54  pluto
- updated to 2.6.31.

Revision 1.151  2009/09/17 18:49:36  hawk
- updated to 2.6.30.7

Revision 1.150  2009/09/09 08:37:10  arekm
- revert, too much crap required

Revision 1.149  2009/09/09 08:24:17  arekm
- x86 arch fix

Revision 1.148  2009/09/09 08:21:25  arekm
- install per arch atomic.h

Revision 1.147  2009/09/09 07:51:08  arekm
- up to 2.6.30.6 + add asm../atomic.h for mysql+percona usage

Revision 1.146  2009/06/28 16:20:00  arekm
- up to 2.6.30

Revision 1.145  2009/03/25 08:06:53  arekm
- up to 2.6.29

Revision 1.144  2009/03/17 19:45:08  arekm
- up to 2.6.28.8

Revision 1.143  2009/02/13 08:35:09  arekm
- up to 2.6.28.5

Revision 1.142  2009/01/10 19:48:16  qboosh
- added include patch from git (fixes <linux/serial.h>)
- release 2

Revision 1.141  2008/12/26 13:17:18  qboosh
- updated to 2.6.28
- updated SuSE.TIOCGDEV patch

Revision 1.140  2008/12/15 21:27:00  pluto
- cleanup ..install.cmd and .install, bump to 2.6.27.9.

Revision 1.139  2008/10/14 20:01:52  qboosh
- updated to 2.6.27
- updated SuSE.TIOCGDEV patch
- sparc headers finally merged

Revision 1.138  2008/07/17 20:10:09  qboosh
- updated to 2.6.26
- updated SuSE.TIOCGDEV patch

Revision 1.137  2008/05/27 22:31:19  qboosh
- removed obsolete pagesize,include,ppc patches

Revision 1.136  2008-05-23 06:21:44  hawk
- updated to 2.6.25.4
- pagesize, include and ppc patches looks obsolete for me, but there were
  severe code changes so I may be wrong, someone may review them please?

Revision 1.135  2008-05-11 15:27:29  tommat
- aaded sparc and sparc64 to linux-kernel-headers.SuSE.TIOCGDEV.patch
- rel 1.1 no real impact on main distro

Revision 1.134  2008-03-26 20:58:49  glen
- disable debug packages

Revision 1.133  2008-03-14 23:32:51  arekm
- 2.6.24.3; drop kernel ifdef from user.h for ppc

Revision 1.132  2008-01-26 16:30:15  qboosh
- updated to Linux 2.6.24
- added missing 2.6.x.y patch support (oops), temporarily not used
- updated pagesize,SuSE.TIOCGDEV patches
- single asm dir on x86* now (asm-i386 and asm-x86_64 have been merged)

Revision 1.131  2008-01-24 23:06:15  glen
- use rpmbuild(macros) >= 1.360 instead of no_install_post_strip

Revision 1.130  2008-01-20 22:17:32  arekm
- updated to 2.6.23.14

Revision 1.129  2008-01-08 18:50:11  baggins
- rel 2
- added ATM VBR patch

Revision 1.128  2007/11/01 21:32:58  qboosh
- updated to 2.6.23.1

Revision 1.127  2007/10/30 23:44:36  glen
- add TIOCGDEV patch from suse; rel 2

Revision 1.126  2007/10/30 23:35:30  glen
- 2.6.22.10; keep our own builddir

Revision 1.125  2007/10/15 23:42:11  zbyniu
- pom-set.patch added, ipset.spec needs this headers

Revision 1.124  2007/08/18 10:07:11  glen
- %pretrans is safer

Revision 1.123  2007/07/11 19:18:51  qboosh
- updated to 2.6.22.1

Revision 1.122  2007/07/08 22:44:36  qboosh
- updated to 2.6.21.6
- added include patch (fixes <linux/ethtool.h>)

Revision 1.121  2007/05/12 09:35:28  qboosh
- updated to 2.6.21.1

Revision 1.120  2007/05/02 20:07:05  pluto
- updated to 2.6.20.11.

Revision 1.119  2007/04/30 10:19:44  pluto
- updated to 2.6.20.10, fixed powerpc build.

Revision 1.118  2007/04/05 20:22:42  tommat
- always pass ARCH, rel 2

Revision 1.117  2007/04/03 14:36:57  qboosh
- merged KERNEL branch; old 2.6.12.0-15 version left on MMAZUR branch

Revision 1.116.2.10  2007/04/02 20:13:54  qboosh
- added pagesize patch (define PAGE_SIZE on some archs incl. alpha,ppc,sparc*)

Revision 1.116.2.9  2007/04/02 19:55:37  qboosh
- support cross-builds

Revision 1.116.2.8  2007/04/02 19:54:55  qboosh
- added comment on additional ieee1394 headers
- dropped i2c-devel provides (generally not used, version is hard to track in Linux 2.6.x)

Revision 1.116.2.7  2007/04/02 19:37:49  qboosh
- endian patch is back (updated)
- dropped outdated unistd_x86_PIC patch

Revision 1.116.2.6  2007/04/02 19:09:28  qboosh
- imq patch is back (updated)

Revision 1.116.2.5  2007/04/02 18:54:58  qboosh
- fbsplash patch is back (updated)

Revision 1.116.2.4  2007/04/02 18:17:46  qboosh
- wrr patch is back (updated)

Revision 1.116.2.3  2007/04/02 18:08:42  qboosh
- esfq patch is back (still up to date)

Revision 1.116.2.2  2007/04/02 17:48:56  qboosh
- tc-u32-mark,audit,partial-2.6.16,nfc patches are obsolete

Revision 1.116.2.1  2007/04/02 17:23:29  qboosh
- let's try this way
